summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-02-27 13:38:29 +0100
committerJeroen Roovers <jer@gentoo.org>2016-02-27 13:38:46 +0100
commit1c973b0c6f7b3b6035a377ae3a7f365ae7b0a0e8 (patch)
treef983a7032b52f62414d5976fa2cc82eddb7cfbbe /www-client
parentnet-misc/dhcpcd: Stable for HPPA PPC64 (bug #575240). (diff)
downloadgentoo-1c973b0c6f7b3b6035a377ae3a7f365ae7b0a0e8.tar.gz
gentoo-1c973b0c6f7b3b6035a377ae3a7f365ae7b0a0e8.tar.bz2
gentoo-1c973b0c6f7b3b6035a377ae3a7f365ae7b0a0e8.zip
www-client/opera-beta: Version bump.
Package-Manager: portage-2.2.27
Diffstat (limited to 'www-client')
-rw-r--r--www-client/opera-beta/Manifest2
-rw-r--r--www-client/opera-beta/opera-beta-36.0.2130.21.ebuild91
2 files changed, 93 insertions, 0 deletions
diff --git a/www-client/opera-beta/Manifest b/www-client/opera-beta/Manifest
index dd6428b6365..6030a1652de 100644
--- a/www-client/opera-beta/Manifest
+++ b/www-client/opera-beta/Manifest
@@ -1,2 +1,4 @@
DIST opera-beta_35.0.2066.35_amd64.deb 45196244 SHA256 fffa77b114ce8434d4b48987042f26a919e319a40ad61250af891e6119fa9d0e SHA512 c75798d17f59aff11e5e58f21d5606f9d92b1136bcddc901662f5adba1ddc400729a653c12e39d2cf7754e741834f46f82ba44c39220371c037c73964e72d539 WHIRLPOOL f6b8b7133d701a60baca44f93160e4d67bbe65aa45643fed6b84e337926582b784e488e4287806dd88b03dbd46abd673eefa9d880ef71e5d775b81d4732697d7
+DIST opera-beta_36.0.2130.21_amd64.deb 47382256 SHA256 3ac3a2a9b8f6d69ad1de88859405115acb83269447697f758b6e713ba647a766 SHA512 2de58ea2f48c17007abd945bb8f7dc4f0552a2ddf9136707f8c3fadcaa7be02ead018108f34e1e6886c50e2d6698f4038cc13b5ed1a15ae721cc111e571701d2 WHIRLPOOL abf6a9d6b25c530f74daeeff2136af7556e0b7a701b0780d38b87ba5addc801eaaae14abe5373243ed344e984ec8c558a945c887cdcaa64d0bb0096910b19cd4
+DIST opera-beta_36.0.2130.21_i386.deb 48429050 SHA256 7f799a406689bba3ccfc34f632257c2f3632e857872d5de835f356b5dc0f9da0 SHA512 5c92180cd9416586fa811c620e4a985de6fe7072c0f2677e6d48c7fbd44665ec11b93f20d689811febc135899487a30ab03f241f4bf714052575f6987750bdc9 WHIRLPOOL 80c22311d869ab033f784756ad702e45a4d44101ba0d7199e5c533bc3b85d85df009683a98ad37e921394567186bdfd6c6244bbbf80d7f3e05bb5bb8830d3c84
DIST opera-beta_36.0.2130.2_amd64.deb 46519260 SHA256 ce314768010d605e1a365dabea5b8cd02c0c9bd33abca6e94515f8ff39299295 SHA512 c5502bbbacbd501408b0502d656053ef429cd1e25124438fb68e1615c8a7f367b7efe6d56124d8c8a2d8a702215523027d739fe40bad74e9196a618f02dfacba WHIRLPOOL abfa182bb930fa853f5df3a9d484c305bf7be5bb0ae695470d8b66aa18c74fbafe6408d98699a68417870c53b025b87d6de3712fbad9860ca399f732284216a6
diff --git a/www-client/opera-beta/opera-beta-36.0.2130.21.ebuild b/www-client/opera-beta/opera-beta-36.0.2130.21.ebuild
new file mode 100644
index 00000000000..bfeded8ebfc
--- /dev/null
+++ b/www-client/opera-beta/opera-beta-36.0.2130.21.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+CHROMIUM_LANGS="
+ af az be bg bn ca cs da de el en_GB en_US es_419 es fil fi fr_CA fr fy gd
+ hi hr hu id it ja kk ko lt lv me mk ms nb nl nn pa pl pt_BR pt_PT ro ru sk
+ sr sv sw ta te th tr uk uz vi zh_CN zh_TW zu
+"
+inherit chromium multilib unpacker
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="http://www.opera.com/"
+LICENSE="OPERA-2014"
+SLOT="0"
+SRC_URI_BASE="http://get.geo.opera.com/pub/"
+SRC_URI="
+ amd64? ( "${SRC_URI_BASE}${PN}/${PV}/linux/${PN}_${PV}_amd64.deb" )
+ x86? ( "${SRC_URI_BASE}${PN}/${PV}/linux/${PN}_${PV}_i386.deb" )
+"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libnotify
+ x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+OPERA_HOME="usr/$(get_libdir)/${PN}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ case ${ARCH} in
+ amd64)
+ mv usr/lib/x86_64-linux-gnu usr/$(get_libdir) || die
+ rm -r usr/lib || die
+ ;;
+ x86)
+ mv usr/lib/i386-linux-gnu/${PN} usr/$(get_libdir)/ || die
+ ;;
+ esac
+
+ rm usr/bin/${PN} || die
+
+ rm usr/share/doc/${PN}/copyright || die
+ mv usr/share/doc/${PN} usr/share/doc/${PF} || die
+
+ pushd "${OPERA_HOME}/localization" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ sed -i \
+ -e 's|^TargetEnvironment|X-&|g' \
+ usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym ../$(get_libdir)/${PN}/${PN} /usr/bin/${PN}
+ fperms 4711 /usr/$(get_libdir)/${PN}/opera_sandbox
+}